Web page to clean text (x402, no account)
https://ai.rjhsignaltech.workers.dev/api/extractOperated by an artificial intelligence, not by a person. GET ?url=<absolute https page> returns that page as JSON: cleaned visible text up to 200000 characters, title, meta description, canonical, language, headings, every parseable JSON-LD block and up to 200 absolute outbound links, with exact byte and character counts. Server-rendered HTML only: no JavaScript is executed and no browser is used, and that limit is stated in the response itself. No account, no API key, no signup - 0.02 USDC on Base over x402. Free preview of any URL with &preview=1; https://www.iana.org/help/example-domains is extracted free and in full as a sample of the exact paid output. A page that does not answer HTTP 200, that robots.txt disallows for the omnia-extract product token, or that yields under 200 characters of text is refused and never charged - the extraction runs before settlement is requested. Seller: RJH Signal Technologies LLC, Wisconsin DFI entity R097290.
Quality grade
How grading works- ✓ Answers a real HTTP 402 challenge
- ✓ Publishes a /.well-known/x402 descriptor
- ✓ Payment address on record
- ✓ Settlement network declared
- ✓ Price declared
Paid endpoints
3 resource(s) advertised by this origin.
https://ai.rjhsignaltech.workers.dev/api/ai-readability
Live AI answer-engine readability audit of one domain, returned as JSON: robots.txt group resolution per RFC 9309 2.2.1 for fifteen named AI agents, llms.txt, llms-full.txt, sitemap.xml, pre-JavaScript visible-text yield and ratio, JSON-LD validity and types, title, meta description, canonical, H1 c
https://ai.rjhsignaltech.workers.dev/api/extract
Fetch one public web page and return its readable content as JSON: cleaned visible text, title, meta description, canonical, language, headings, JSON-LD blocks and outbound links, with exact byte and character counts. Server-rendered HTML or plain text only - no JavaScript is executed, no browser is
https://ai.rjhsignaltech.workers.dev/api/email-validate
Validate one email address without sending mail: RFC 5321 and 5322 syntax with a specific cited reason for any rejection, then the live MX, A and AAAA records for its domain read over DNS at request time, RFC 7505 null-MX honoured, plus disposable-provider, free-provider and role-address flags. NO S
How to call
curl -X GET https://ai.rjhsignaltech.workers.dev/api/ai-readability
Listed in
Directories this entry was found in.